/*
 * Copyright (C) 2008,2009  OMRON SOFTWARE Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package BPpath.openwnn.ZH.CN;

import android.view.View;
import BPpath.openwnn.BoilerPlateEvent;
import BPpath.openwnn.BoilerPlateZHCN;
import BPpath.openwnn.UserDictionaryToolsEdit;
import BPpath.openwnn.UserDictionaryToolsList;

/**
 * The user dictionary's word editor class for Chinese IME.
 *
 * @author Copyright (C) 2009 OMRON SOFTWARE CO., LTD.  All Rights Reserved.
 */

public class UserDictionaryToolsEditZHCN extends UserDictionaryToolsEdit {
    /**
     * Constructor
     */
    public UserDictionaryToolsEditZHCN() {
        super();
        initialize();
    }

    /**
     * Constructor 
     *
     * @param focusView         The view
     * @param focusPairView     The pair view
     */
    public UserDictionaryToolsEditZHCN(View focusView, View focusPairView) {
        super(focusView, focusPairView);
        initialize();
    }

    /**
     * Initialize the parameters
     */
    public void initialize() {
        mListViewName = "BPpath.openwnn.ZH.CN.UserDictionaryToolsListZHCN";
        mPackageName  = "BPpath.openwnn";
    }

    /** @see BPpath.openwnn.UserDictionaryToolsEdit#sendEventToIME */
    @Override protected boolean sendEventToIME(BoilerPlateEvent ev) {
        try {
            return BoilerPlateZHCN.getInstance().onEvent(ev);
        } catch (Exception ex) {
            /* do nothing if an error occurs */
        }
        return false;
    }

    /** @see BPpath.openwnn.UserDictionaryToolsEdit#createUserDictionaryToolsList */
    @Override protected UserDictionaryToolsList createUserDictionaryToolsList() {
        return new UserDictionaryToolsListZHCN();
    }
}
